<div class="col-8 mx-auto mt-3">
  <h2>{{pageTitle}}</h2>
  <hr>
  <form #formUserEdit="ngForm" (ngSubmit)="onSubmit()" *ngIf='user'>
    <div id="Message" [ngClass]="status=='success'?'alert alert-success':'alert alert-danger'" *ngIf="status">
      {{message}}</div>
    <div class="form-group">
      <label for="name">Nombre</label>
      <input type="text" id="name" name="name" #name="ngModel" [(ngModel)]="user.name" class="form-control"
        pattern="[a-zA-ZÀ-ÿ ]+" required>
      <div class="invalid-feedback d-block" *ngIf="name.invalid && name.touched">El nombre no es válido</div>
    </div>
    <div class="form-group">
      <label for="surname">Apellidos</label>
      <input type="text" id="surname" name="surname" #surname="ngModel" [(ngModel)]="user.surname" class="form-control"
        pattern="[a-zA-ZÀ-ÿ ]+">
      <div class="invalid-feedback d-block" *ngIf="surname.invalid && surname.touched">Los apellidos no son válidos
      </div>
    </div>
    <div class="form-group">
      <label for="email">E-mail</label>
      <input type="email" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control"
        pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required>
      <div class="invalid-feedback d-block" *ngIf="email.invalid && email.touched">El e-mail no es válido</div>
    </div>
    <div class="form-group">
      <label for="description">Descripción</label>
      <textarea [froalaEditor]="froala_options" name="description" id="description" #description="ngModel"
        [(ngModel)]="user.description" class="form-control">
        </textarea>
    </div>
    <div>
      <div class="form-group">
        <angular-file-uploader [config]="afuConfig" [resetUpload]=resetVar (ApiResponse)="avatarUpload($event)">
        </angular-file-uploader>
        <img src="{{url + 'uploads/users/'+ identity.image}}" alt="" *ngIf="identity">
      </div>
      
      <button type="submit" class="btn btn-primary" [disabled]="formUserEdit.form.invalid">Guardar</button>
    </div>
  </form>
</div>